| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
EM::RandomLineByShiftGenerator Class Reference
EarthModel

Creates random line from another by shifting it. More...

`#include <emrandlinegen.h>`

## Public Member Functions
| RandomLineByShiftGenerator (const Geometry::RandomLineSet &rls, float dist=1, int side=0)
| ~RandomLineByShiftGenerator ()
void | generate (Geometry::RandomLineSet &, int linenr_in_inp_set=0) const
| , -1=left, 0=both, 1=right

## Public Attributes
float | dist_
const Geometry::RandomLineSet & | rls_
int | side_

## Protected Member Functions
void | crLine (const Geometry::RandomLine &, bool, Geometry::RandomLineSet &) const
bool | getIntersection (Coord, Coord, Coord, Coord, Coord &) const
bool | getShifted (Coord, Coord, Coord &, Coord &, bool) const

## Detailed Description

Creates random line from another by shifting it.

<>

## Constructor & Destructor Documentation

## ◆ RandomLineByShiftGenerator()

EM::RandomLineByShiftGenerator::RandomLineByShiftGenerator | ( | const Geometry::RandomLineSet & | rls,
|  | float | dist = 1,
|  | int | side = 0 )

## ◆ ~RandomLineByShiftGenerator()

EM::RandomLineByShiftGenerator::~RandomLineByShiftGenerator | ( |  | ) |

## Member Function Documentation

## ◆ crLine()

void EM::RandomLineByShiftGenerator::crLine | ( | const Geometry::RandomLine & | ,
|  | bool | ,
|  | Geometry::RandomLineSet & | ) const
| protected

## ◆ generate()

void EM::RandomLineByShiftGenerator::generate | ( | Geometry::RandomLineSet & | ,
|  | int | linenr_in_inp_set = 0 ) const

, -1=left, 0=both, 1=right

## ◆ getIntersection()

bool EM::RandomLineByShiftGenerator::getIntersection | ( | Coord | ,
|  | Coord | ,
|  | Coord | ,
|  | Coord | ,
|  | Coord & | ) const
| protected

## ◆ getShifted()

bool EM::RandomLineByShiftGenerator::getShifted | ( | Coord | ,
|  | Coord | ,
|  | Coord & | ,
|  | Coord & | ,
|  | bool | ) const
| protected

## Member Data Documentation

## ◆ dist_

float EM::RandomLineByShiftGenerator::dist_

## ◆ rls_

const Geometry::RandomLineSet& EM::RandomLineByShiftGenerator::rls_

## ◆ side_

int EM::RandomLineByShiftGenerator::side_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025